Bug 850425 - (CVE-2012-3521) CVE-2012-3521 php-geshi: Remote directory traversal and information disclosure (local file inclusion) in the contrib module
CVE-2012-3521 php-geshi: Remote directory traversal and information disclosur...
Status: CLOSED CURRENTRELEASE
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20120623,reported=2...
: Security
Depends On: 850435 850436
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-21 10:50 EDT by Jan Lieskovsky
Modified: 2014-10-01 05:20 EDT (History)
2 users (show)

See Also:
Fixed In Version: php-geshi 1.0.8.11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-09-30 17:10:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2012-08-21 10:50:17 EDT
A directory traversal and information disclosure (local file inclusion) flaws were found in the cssgen contrib module (application to generate custom CSS files) of GeSHi, a generic syntax highlighter, performed sanitization of 'geshi-path' and 'geshi-lang-path' HTTP GET / POST variables. A remote attacker could provide a specially-crafted URL that, when visited could lead to local file system traversal or, potentially, ability to read content of any local file, accessible with the privileges of the user running the webserver.

References:
[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=685324

Upstream patch:
[2] http://geshi.svn.sourceforge.net/viewvc/geshi?view=revision&revision=2507
Comment 2 Jan Lieskovsky 2012-08-21 11:14:44 EDT
Created php-geshi tracking bugs for this issue

Affects: fedora-all [bug 850435]
Affects: epel-all [bug 850436]
Comment 3 Jan Lieskovsky 2012-08-21 11:16:17 EDT
This issue affects the versions of the php-geshi package, as shipped with Fedora 16 and 17. Please schedule an update.

--

This issue affects the versions of the php-geshi package, as shipped with Fedora EPEL 5 and EPEL 6. Please schedule an update.
Comment 6 Jan Lieskovsky 2012-08-22 06:04:19 EDT
The CVE identifier of CVE-2012-3521 has been assigned to this issue:
http://www.openwall.com/lists/oss-security/2012/08/21/11
Comment 7 Fedora Update System 2013-05-13 21:22:35 EDT
php-geshi-1.0.8.11-3.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2013-05-13 21:27:47 EDT
php-geshi-1.0.8.11-3.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2013-05-14 00:39:47 EDT
php-geshi-1.0.8.11-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Xavier Bachelot 2014-09-30 17:10:45 EDT
EPEL 5 and 6 are shipping a fixed version too.

Note You need to log in before you can comment on or make changes to this bug.